<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMServiceInfoView9Base from './emservice-info-view9-base.vue';

import view_form from '@widgets/emservice/info-form/info-form.vue';

/**
 * 服务商实体编辑视图（部件视图）<主信息>基本信息
 *
 * @export
 * @class EMServiceInfoView9
 * @extends {EMServiceInfoView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMServiceInfoView9 extends EMServiceInfoView9Base { }
</script>